20c4a72a26d1988469fd42d3fd2a1e3889ac6358
[xfstests-dev.git] / tests / xfs / 080
1 #! /bin/bash
2 # FS QA Test No. 080
3 #
4 # rwtest (iogen|doio)
5 #
6 #-----------------------------------------------------------------------
7 # Copyright (c) 2000-2003 Silicon Graphics, Inc.  All Rights Reserved.
8 #
9 # This program is free software; you can redistribute it and/or
10 # modify it under the terms of the GNU General Public License as
11 # published by the Free Software Foundation.
12 #
13 # This program is distributed in the hope that it would be useful,
14 # but WITHOUT ANY WARRANTY; without even the implied warranty of
15 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
16 # GNU General Public License for more details.
17 #
18 # You should have received a copy of the GNU General Public License
19 # along with this program; if not, write the Free Software Foundation,
20 # Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
21 #
22 #-----------------------------------------------------------------------
23 #
24
25 seq=`basename $0`
26 seqres=$RESULT_DIR/$seq
27 echo "QA output created by $seq"
28
29 here=`pwd`
30 tmp=/tmp/$$
31 status=1        # failure is the default!
32 trap "_cleanup; exit \$status" 0 1 2 3 15
33
34 # get standard environment, filters and checks
35 . ./common/rc
36 . ./common/filter
37
38 _cleanup()
39
40     cd /
41     rm -f $tmp.*
42 }
43
44 _supported_fs xfs
45 _supported_os Linux
46 _require_test
47
48 quiet=-q
49 clean=-c
50
51 export here
52 cd $TEST_DIR
53 echo
54
55 # real QA test starts here
56
57 $here/ltp/rwtest.sh $quiet $clean -i 2000 -f direct,buffered,sync
58 status=$?
59 [ $status -ne 0 ] && exit
60 echo Completed rwtest pass 1 successfully.
61
62 #$here/ltp/rwtest.sh $quiet $clean -Dv -i 1000 -n 10 -f direct,buffered,sync
63 #[ $status -ne 0 ] && exit
64 #echo Completed rwtest pass 2 successfully.
65
66 exit